### Name: kda, Hkda, Hkda.diag
### Title: Kernel discriminant analysis for multivariate data
### Aliases: Hkda Hkda.diag kda
### Keywords: smooth

### ** Examples

### univariate example -- independent test data
x <- c(rnorm.mixt(n=100, mus=1, sigmas=1, props=1),
       rnorm.mixt(n=100, mus=-1, sigmas=1, props=1))
x.gr <- rep(c(1,2), times=c(100,100))
y <- c(rnorm.mixt(n=100, mus=1, sigmas=1, props=1),
       rnorm.mixt(n=100, mus=-1, sigmas=1, props=1))

kda.gr <- kda(x, x.gr, hs=sqrt(c(0.09, 0.09)), y=y)

### bivariate example - restricted iris dataset  
library(MASS)
data(iris)
ir <- iris[,1:2]
ir.gr <- iris[,5]

H <- Hkda(ir, ir.gr, bw="plugin", pre="scale")
kda.gr <- kda(ir, ir.gr, Hs=H, y=ir)

## Not run: 
##D ### multivariate example - full iris dataset
##D ir <- iris[,1:4]
##D ir.gr <- iris[,5]
##D 
##D H <- Hkda(ir, ir.gr, bw="plugin", pre="scale")
##D kda.gr <- kda(ir, ir.gr, Hs=H, y=ir)
## End(Not run)



