### Name: kde
### Title: Kernel density estimate for multivariate data
### Aliases: kde
### Keywords: smooth

### ** Examples

### univariate example
data(unicef)
fhat <- kde(unicef[,1], h=sqrt(944))
fhat <- kde(unicef[,1], H=944) ## same as above

### bivariate example
data(unicef)
H.pi <- Hpi(unicef, nstage=1)
fhat <- kde(unicef, H=H.pi)

### 4-variate example
library(MASS)
data(iris)
ir <- iris[,1:4][iris[,5]=="setosa",]
H.scv <- Hscv(ir)
fhat <- kde(ir, H=H.scv, eval.points=ir)  



